Update Profile
curl --request POST \
--url https://api.example.com/update-profile \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'name=<string>' \
--data 'phone=<string>' \
--data 'address=<string>' \
--data 'company=<string>' \
--data 'job_title=<string>' \
--data 'bio=<string>'import requests
url = "https://api.example.com/update-profile"
payload = {
"name": "<string>",
"phone": "<string>",
"address": "<string>",
"company": "<string>",
"job_title": "<string>",
"bio": "<string>"
}
headers = {"Content-Type": "application/x-www-form-urlencoded"}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/x-www-form-urlencoded'},
body: new URLSearchParams({
name: '<string>',
phone: '<string>',
address: '<string>',
company: '<string>',
job_title: '<string>',
bio: '<string>'
})
};
fetch('https://api.example.com/update-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Update Profile
POST
/
update-profile
Update Profile
Update Profile
Endpoint for updating user profile information.Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | No | User’s full name |
| phone | string | No | User’s phone number |
| address | string | No | User’s address |
| company | string | No | User’s company name |
| job_title | string | No | User’s job title |
| bio | string | No | User’s biography |
Responses
| Status | Description | Content Type |
|---|---|---|
| 200 | Profile updated | text/html |
| 422 | Validation Error | application/json |
⌘I